## kasts 25.04.3

=== debian/changelog ===
kasts (25.04.3-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Fix mobile player buttons. (kde#505726)
  * Backport upstream commit:
    - Fix crash when chapters don't have a title. [94e0b70f] (kde#506430)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Jul 2025 09:29:55 +0200
