=== debian/control ===
Source: kasts
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               appstream,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               kirigami-addons-dev (>= 1.6.0~),
               libkf6breezeicons-dev (>= 6.5.0~),
               libkf6colorscheme-dev (>= 6.5.0~),
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6iconthemes-dev (>= 6.5.0~),
               libkf6syndication-dev (>= 6.5.0~),
               libkf6threadweaver-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libkirigami-dev (>= 6.5.0~),
               libssl-dev,
               libtag-dev,
               libtag1-dev,
               libvlc-dev,
               libvlccore-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-base-dev-tools,
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kasts/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kasts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kasts.git
Rules-Requires-Root: no

Package: kasts
Architecture: any
Depends: qml6-module-org-kde-kirigamiaddons-settings,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: breeze-icon-theme, ca-certificates, vlc-plugin-base,
Description: Kirigami-based podcast player
 Kasts is a convergent podcast application.
 It allows discovering via an online directory
 to find podcasts, and then downloads and plays.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.
