## kasts 25.07.80

=== debian/changelog ===
kasts (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:04:59 +0100

kasts (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:38:43 +0100
