=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kasts
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: appstream,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-qmldeps,
-               appstream,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.5.0~),
                kirigami-addons-dev (>= 1.6.0~),
                libkf6breezeicons-dev (>= 6.5.0~),
@@ -37,8 +38,8 @@
                qtkeychain-qt6-dev,
 Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/kasts/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kasts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kasts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kasts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kasts
 Rules-Requires-Root: no
 
 Package: kasts
