## kasts 25.08.0

=== debian/changelog ===
kasts (25.08.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add .gitattributes for changelog merge driver.
    - Recommend kf6-breeze-icon-theme intsead of the provides.

 -- Rik Mills <rikmills@kde.org>  Mon, 25 Aug 2025 04:14:16 +0100

kasts (25.08.0-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (25.08.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

  [ Aurélien COUDERC ]
  * Drop backported upstream commits now part of the release.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 25 Aug 2025 01:30:45 +0200

kasts (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:20:49 +0100
