=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
-Build-Depends: appstream,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               appstream,
                cmake (>= 3.16~),
-               debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.5.0~),
+               extra-cmake-modules (>= 6.12.0~),
                kirigami-addons-dev (>= 1.6.0~),
-               libkf6breezeicons-dev (>= 6.5.0~),
-               libkf6colorscheme-dev (>= 6.5.0~),
-               libkf6config-dev (>= 6.5.0~),
-               libkf6coreaddons-dev (>= 6.5.0~),
-               libkf6crash-dev (>= 6.5.0~),
-               libkf6dbusaddons-dev (>= 6.5.0~),
-               libkf6i18n-dev (>= 6.5.0~),
-               libkf6iconthemes-dev (>= 6.5.0~),
-               libkf6syndication-dev (>= 6.5.0~),
-               libkf6threadweaver-dev (>= 6.5.0~),
-               libkf6windowsystem-dev (>= 6.5.0~),
-               libkirigami-dev (>= 6.5.0~),
+               libkf6breezeicons-dev (>= 6.12.0~),
+               libkf6colorscheme-dev (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6crash-dev (>= 6.12.0~),
+               libkf6dbusaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6iconthemes-dev (>= 6.12.0~),
+               libkf6syndication-dev (>= 6.12.0~),
+               libkf6threadweaver-dev (>= 6.12.0~),
+               libkf6windowsystem-dev (>= 6.12.0~),
+               libkirigami-dev (>= 6.12.0~),
                libssl-dev,
                libtag-dev,
                libtag1-dev,
@@ -48,7 +48,9 @@
          ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
-Recommends: breeze-icon-theme, ca-certificates, vlc-plugin-base,
+Recommends: kf6-breeze-icon-theme,
+            ca-certificates,
+            vlc-plugin-base,
 Description: Kirigami-based podcast player
  Kasts is a convergent podcast application.
  It allows discovering via an online directory
