## kasts 25.08.1

=== debian/changelog ===
kasts (25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:11:23 +0100

kasts (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:51:28 +0100
