=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: appstream,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-qmldeps,
-               appstream,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.12.0~),
                kirigami-addons-dev (>= 1.6.0~),
                libkf6breezeicons-dev (>= 6.12.0~),
