=== debian/changelog ===
kasts (25.08.2-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * New upstream release.
  * debian/control: Drop build-dependency on transitional package
    libtag1-dev.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Oct 2025 15:08:53 -0400

kasts (25.08.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 03 Oct 2025 14:26:59 +0200
