=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: kasts
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
-Build-Depends: appstream,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               appstream,
                cmake (>= 3.16~),
-               debhelper-compat (= 13),
-               dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.12.0~),
                kirigami-addons-dev (>= 1.6.0~),
                libkf6breezeicons-dev (>= 6.12.0~),
@@ -24,7 +23,6 @@
                libkirigami-dev (>= 6.12.0~),
                libssl-dev,
                libtag-dev,
-               libtag1-dev,
                libvlc-dev,
                libvlccore-dev,
                pkg-kde-tools,
@@ -38,8 +36,8 @@
                qtkeychain-qt6-dev,
 Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/kasts/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kasts
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kasts
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kasts
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kasts.git
 Rules-Requires-Root: no
 
 Package: kasts
@@ -48,7 +46,7 @@
          ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
-Recommends: kf6-breeze-icon-theme,
+Recommends: breeze-icon-theme,
             ca-certificates,
             vlc-plugin-base,
 Description: Kirigami-based podcast player
