## kasts 25.08.2+p24.04+vstable+git20251011.0956

=== debian/changelog ===
kasts (25.08.2+p24.04+vstable+git20251011.0956-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:56:39 +0000

kasts (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:14:43 +0000
