## kasts 25.08.2+p24.04+vstable+git20251028.1004

=== debian/changelog ===
kasts (25.08.2+p24.04+vstable+git20251028.1004-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:04:17 +0000
