=== debian/control ===
Source: kasts
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-breeze-icon-theme-dev,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kwindowsystem-dev,
               kf6-networkmanager-qt-dev,
               kf6-syndication-dev,
               kf6-threadweaver-dev,
               libtag1-dev,
               libvlc-dev,
               pkg-kde-tools-neon,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qtkeychain-qt6-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kasts.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kasts
Maintainer: Neon CI <neon@kde.org>

Package: kasts
Architecture: any
Depends: qml6-module-org-kde-kirigami-addons-labs-components,
         qml6-module-qt-labs-platform,
         qml6-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Description: RSS feed reader
 Read RSS feeds on a mobile device
