## kasts 25.08.2+p24.04+vstable+git20251031.0939

=== debian/changelog ===
kasts (25.08.2+p24.04+vstable+git20251031.0939-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:39:33 +0000
