=== debian/changelog ===
kasts (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:50:17 +0000

kasts (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:11:48 +0000

kasts (25.08.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add .gitattributes for changelog merge driver.
    - Recommend kf6-breeze-icon-theme intsead of the provides.

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Oct 2025 07:33:37 +0100

kasts (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:41:27 +0100
