## kasts 25.12.0+p24.04+vstable+git20251231.0248

=== debian/changelog ===
kasts (25.12.0+p24.04+vstable+git20251231.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:48:36 +0000
