## kasts 25.12.0+p24.04+vstable+git20260101.0202

=== debian/changelog ===
kasts (25.12.0+p24.04+vstable+git20260101.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 02:02:55 +0000
