=== debian/changelog ===
kasts (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add .gitattributes for changelog merge driver.
    - Recommend kf6-breeze-icon-theme intsead of transitional package.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jan 2026 14:44:33 +0000

kasts (25.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 18 Jan 2026 13:23:38 +0100

kasts (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:59:45 +0000

kasts (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:16:43 +0000
