## kasts 25.12.1+p24.04+vstable+git20260120.0740

=== debian/changelog ===
kasts (25.12.1+p24.04+vstable+git20260120.0740-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 07:40:55 +0000

kasts (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:19 +1000
