## kasts 25.12.1+p24.04+vunstable+git20260129.0337

=== debian/changelog ===
kasts (25.12.1+p24.04+vunstable+git20260129.0337-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:37:09 +0000
